# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   
Name:      kmatplot
Version:   0.3
Release:   
Copyright: GPL
Vendor:    Kamil Dobkowski <kamildobk@poczta.onet.pl>
Url:       http://kmatplot.sourceforge.net

Packager:  Kamil Dobkowski <kamildobk@poczta.onet.pl>
Group:     
Source:    kmatplot-0.3.tar.gz
BuildRoot: 

%description
KMatplot is a Origin-like tool for plotting data sets in either two or three dimensions. It can draw many 2d plot types, including pixmaps and contours, and 3d surfaces.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                %%config%% \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.kmatplot
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kmatplot
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.kmatplot

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/kmatplot
rm -rf ../file.list.kmatplot


%files -f ../file.list.kmatplot
