/***************************************************************************
                             ksgraphwizarddlg.h
                             -------------------
    begin                : Wed Aug 15 2001
    copyright            : (C) 2001 by kamil
    email                : kamil@localhost.localdomain
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSGRAPHWIZARDDLG_H
#define KSGRAPHWIZARDDLG_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include"kssurfacewizarddlginterf.h"
#include"widgets/qsaxes.h"
#include"part/ksworkbook.h"
#include"part/ksglobalmatrixlist.h"

class KSSurfaceWizardDlg : public KSSurfaceWizardDlgInterf
 {
  Q_OBJECT
  public:
     KSSurfaceWizardDlg( QWidget *parent, KSWorkbook *workbook, KSSheet *sheet, QSAxes *parent, bool surface = true );
    ~KSSurfaceWizardDlg();

  public slots:
    virtual void create();

  private:
    bool m_surface;
    QSAxes *m_axes;
    KSSheet *m_sheet;
    KSWorkbook *m_workbook;
 };

#endif
