/***************************************************************************
                                  kmatplotfactory.h
                             -------------------
    begin                : Sat Mar 11 2000
    copyright            : (C) 2000 by Kamil Dobkowski
    email                : kamildobk@friko.onet.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMATPLOTFACTORY_H
#define KMATPLOTFACTORY_H

#include <klibloader.h>
#include <kaboutdata.h>

/**
  * KMatplot factory.
  *@author Kamil Dobkowski
  */

class KMatplotFactory : public KLibFactory  {

   Q_OBJECT

public:

   KMatplotFactory( QObject *parent=0, const char *name=0 );
   virtual ~KMatplotFactory();
   virtual QObject* create( QObject* parent = 0, const char* name = 0, const char* classname = "QObject", const QStringList &args = QStringList() );

   static KInstance*  global();
   static KAboutData* aboutData();

private:

    static KInstance* s_global;
};

#endif

